<div class="ui centered header">Tous les Personnels</div>
<br>
<div class="ui success message" *ngIf="deleted">
    Ce Personnel à été supprimé !
</div>
<div class="ui error message" *ngIf="error">
    Un erreur est survenue, impossible de récupérer les personnels !
</div>

<div class="ui form">
    <div class="field">
        <label>Rechercher par nom d'utilisateur</label>
        <input type="text" placeholder="Nom d'utilisateur" (keyup)="searchPersonnel($event)">
    </div>
</div>

<div class="ui vertical segment" id="view-table">
    <table class="ui selectable striped table">
        <thead>
        <tr>
            <th>Nom - Prénom</th>
            <th>Nom d'utilisateur</th>
            <th>Actif</th>
            <th>E-mail</th>
            <th>Civilité</th>
            <th>Actions</th>
        </tr>
        </thead>
        <tbody id="no-content">
        <tr id="dummy-fill"></tr>
        <tr *ngIf="!(personnels?.length && personnels.length)">
            <td class="ui header center aligned" colspan="6">
                Pas de Personnels enregistrés encore !
            </td>
        </tr>
        </tbody>
        <tbody id="content">
        <ng-container *ngFor="let personnel of this.personnels">
            <tr>

                <td>
                    {{ personnel.nom }} {{ personnel.prenom }}
                </td>
                <td>
                    {{ personnel.username }}
                </td>
                <td>
                    <i class="close red icon" *ngIf="!personnel.actif"></i>
                    <i class="check green icon" *ngIf="personnel.actif"></i>
                </td>
                <td>
                    {{ personnel.email }}
                </td>
                <td>
                    <i class="male icon" *ngIf="personnel.civilite === 'MASCULIN'"></i>
                    <i class="female icon" *ngIf="personnel.civilite === 'FEMININ'"></i>
                    <i class="question icon" *ngIf="personnel.civilite === 'AUTRE'"></i>
                </td>
                <td>
                    <div class="ui tiny green button" [routerLink]="'/admin/personnel/edit/' + personnel.id">
                        <i class="edit icon"></i>
                    </div>
                    <div class="ui tiny red button" (click)="deletePersonnnel($event, personnel.id)">
                        <i class="close icon"></i>
                    </div>
                </td>

            </tr>
        </ng-container>
        </tbody>
    </table>
</div>
